Bug 223745 - agpgart doesn't claim PCI ID for Intel E7221
agpgart doesn't claim PCI ID for Intel E7221
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On: 425788
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-21 22:48 EST by danwaineo
Modified: 2008-05-06 13:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 13:47:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log file (56.82 KB, text/plain)
2007-01-21 22:48 EST, danwaineo
no flags Details
Xorg log file with no xorg.conf (60.31 KB, text/plain)
2007-01-27 20:19 EST, danwaineo
no flags Details
xorg.conf per request (566 bytes, application/octet-stream)
2007-01-27 20:21 EST, danwaineo
no flags Details
Xorg log file (59.05 KB, text/plain)
2007-03-19 21:58 EDT, danwaineo
no flags Details

  None (edit)
Description danwaineo 2007-01-21 22:48:29 EST
Description of problem: DRI doesn't work with E7221 (i915) graphics chip.  This
prevents the Desktop effects from working.  It may be caused by /dev/agpgart not
being created.  See attached log.


Version-Release number of selected component (if
applicable):xorg-x11-drv-i810-1.6.5-10.fc6


How reproducible:always


Steps to Reproduce:
1.
2.
3.
  
Actual results:X works except when doing DRI required activities like
desktop-effects


Expected results:DRI and desktop-effects work correctly


Additional info:
Comment 1 danwaineo 2007-01-21 22:48:29 EST
Created attachment 146150 [details]
Xorg log file
Comment 2 Matěj Cepl 2007-01-25 09:50:13 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) to the bug report
as individual uncompressed file attachments using the bugzilla file attachment
link below. Could you please also try to run without any /etc/X11/xorg.conf
whatsoever and let X11 autodetect your display and video card? Attach to this
bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 danwaineo 2007-01-27 20:19:20 EST
Created attachment 146756 [details]
Xorg log file with no xorg.conf

Hello,
Here is my xorg log file with no xorg.conf file per your request.
Comment 4 danwaineo 2007-01-27 20:21:15 EST
Created attachment 146757 [details]
xorg.conf per request

Hello,

Here is the xorg.conf file that was auto generated for me.  Let me know if I
can get you anything else.  Thanks for your help.

-Dan Waineo
Comment 5 Adam Jackson 2007-01-29 19:47:12 EST
Yeah, appears to be caused by lack of /dev/agpgart, which is quite strange.  X
will not create this device file, but also shouldn't need to, as udev should
create it for you.

Can you attach the output of 'dmesg | grep -i agp' please?
Comment 6 danwaineo 2007-01-29 20:21:07 EST
Ok, this is what I get:

$ dmesg | grep -i agp
Linux agpgart interface v0.101 (c) Dave Jones
Comment 7 danwaineo 2007-02-01 16:54:27 EST
I also tried to create /dev/agpgart using the following:

# mknod /dev/agpgart c 10 175

Still didn't work.  Not sure what the permissions are supposed to be though.
Comment 8 danwaineo 2007-02-25 14:12:05 EST
I found what appears to be the same bug on the kernel mailing list:

http://lists.osdl.org/pipermail/bugme-new/2006-August/006734.html
Comment 9 Adam Jackson 2007-02-26 14:26:28 EST
Agreed, looks like a kernel bug.  Updating summary and shifting blame appropriately.

I'm not sure which of the PCI devices should be treated as the GART though.
Comment 10 Dave Jones 2007-03-19 16:40:00 EDT
Potential patch posted to http://bugzilla.kernel.org/show_bug.cgi?id=6988

If that tests ok, I'll get it merged up in the Fedora kernel.
Comment 11 danwaineo 2007-03-19 21:58:10 EDT
Created attachment 150454 [details]
Xorg log file
Comment 12 danwaineo 2007-03-19 22:13:39 EDT
I applied the patch to the 2.6.20 fedora kernel and compiled a new one.

I think it recognizes the AGP port.  the file /dev/agpgart appears now.  The
following are the relevant kernel messages:
Linux agpgart interface v0.101 (c) Dave Jones
agpgart: Detected an Intel E7221 Chipset.
agpgart: AGP aperture is 256M @ 0x0

I've run the testgart file and received the following (probably means it's working):

ioctl(AGPIOC_ACQUIRE): Device or resource busy

I'm getting a lot of strange artifacts on screen, and DRI is still not working.
 I've attached my Xorg log above so you can see the errors.  Unfortunately, I
can't really use it in this state with all of the artifacts on screen.

Comment 13 danwaineo 2007-03-19 22:45:28 EDT
Here is the output of testgart.c when I run in terminal mode:

version: 0.101
bridge id: 0x25888086
agp_mode: 0x0
aper_base: 0x0
aper_size: 256
pg_total: 238848
pg_system: 238848
pg_used: 0
Setting up MTRR at base=(nil) for 256MB.
mtrr:type mismatch for 0000,10000000 old:write-back new write-combining
mtrr:Invalid argument

Let me know if I can get you anything else.
Comment 14 Dave Jones 2007-03-20 13:41:02 EDT
agpgart: AGP aperture is 256M @ 0x0

Yikes. This is *bad*. It means the BIOS hasn't done chipset initialisation on
the AGP bridge.  There's not much we can do in this situation.

This sadly happens on quite a few boards from vendors that market them as
"server boards".
Comment 15 danwaineo 2007-03-20 18:39:20 EDT
I appreciate you trying.  I'm sure there are not a lot of people trying to get
DRI working on these motherboards.  I guess I could try to update my BIOS, but
I'm not sure if that would help.  Plus I need this computer, and it seems a
little risky.  These are the computer specifications for future reference:

Dell Poweredge 800
E7221 motherboard (probably by intel)
Bios version: A01
1 GB ECC Memory

I think that the original poster of the error to the kernel mailing list is
going to try it also.  Looking around online, I know that people have gotten 3D
applications to work using the i915 driver in windows on Poweredge sc420's.  But
that is only without ECC memory.
Comment 16 Bug Zapper 2008-04-04 01:40:34 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 17 Bug Zapper 2008-05-06 13:47:46 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.